FileUploadBase.UnknownSizeException (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.fileupload.FileUploadBase.UnknownSizeException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Class FileUploadBase.UnknownSizeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tomcat.util.http.fileupload.FileUploadException
                  org.apache.tomcat.util.http.fileupload.FileUploadBase.UnknownSizeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileUploadBase

    public static class FileUploadBase.UnknownSizeException

extends FileUploadException

Thrown to indicate that the request size is not specified.

See Also:
  Serialized Form

Constructor Summary
`FileUploadBase.UnknownSizeException()` Constructs a `UnknownSizeException` with no detail message.
`FileUploadBase.UnknownSizeException(java.lang.String message)` Constructs an `UnknownSizeException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.UnknownSizeException

    public FileUploadBase.UnknownSizeException()

  Constructs a `UnknownSizeException` with no detail message.

### FileUploadBase.UnknownSizeException

    public FileUploadBase.UnknownSizeException(java.lang.String message)

  Constructs an `UnknownSizeException` with the specified detail message.

  Parameters:
    `message` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.